# Asset Webdata History Detail

Returns one web data (page content, technologies, headers) snapshot of an asset, by the history_id returned by the list endpoint.

Source: https://docs.deepinfo.com/reference/easm/asset-webdata-history-detail/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/assets/{asset_id}/webdata-history/{history_id}`

Returns one web data (page content, technologies, headers) snapshot of an asset, by the `history_id` returned by the list endpoint.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `asset_id` | Required |  | `000000000000000ea4f90001` |
| `history_id` | Required |  | `00000000000000000000000ebd470001` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `result` | object |  |
| `status` | boolean |  |
| `check_date` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `result` | object |
| `result.html` | object |
| `result.html.meta` | object |
| `result.html.meta.name` | null |
| `result.html.meta.language` | null |
| `result.html.meta.language_alternatives` | array |
| `result.html.meta.keywords` | array |
| `result.html.meta.noindex_status` | boolean |
| `result.html.meta.encoding` | null |
| `result.html.meta.canonical_url` | null |
| `result.html.meta.title` | string |
| `result.html.meta.json_ld` | array |
| `result.html.meta.og` | array |
| `result.html.internal_links_fqdns` | array |
| `result.html.external_links_fqdns` | array |
| `result.html.external_links_domains` | array |
| `result.html.external_links` | array |
| `result.html.script_links` | array |
| `result.html.iframe_links` | array |
| `result.html.trackers` | array |
| `result.html.emails` | array |
| `result.html.emails_internal` | array |
| `result.html.favicon_links` | array |
| `result.html.inspect_disabled` | boolean |
| `result.html.source_code` | string |
| `result.html.source_code_hash` | string |
| `result.html.content` | string |
| `result.html.content_keywords` | array<string> |
| `result.html.content_hash` | string |
| `result.http` | object |
| `result.http.redirection_history` | array<object> |
| `result.http.redirection_history[].url` | string |
| `result.http.redirection_history[].status_code` | number |
| `result.http.cookies` | array |
| `result.http.headers` | array<object> |
| `result.http.headers[].name` | string |
| `result.http.headers[].value` | string |
| `result.url` | string |
| `result.favicon` | array |
| `result.robots_txt` | null |
| `result.version` | number |
| `result.check_date` | string |
| `result.connection_status` | string |
| `result.technology` | object |
| `result.technology.stacks` | array<object> |
| `result.technology.stacks[].slug` | string |
| `result.technology.stacks[].name` | string |
| `result.technology.stacks[].confidence` | number |
| `result.technology.stacks[].icon` | string |
| `result.technology.stacks[].website` | string |
| `result.technology.stacks[].cpe` | string |
| `result.technology.stacks[].version` | string |
| `result.technology.stacks[].categories` | array<string> |
| `result.technology.stacks[].description` | string |
| `result.technology.stacks[].alternative_cpe_names` | array |
| `result.technology.stacks[].clean_version` | null |
| `result.screenshot` | string |
| `status` | boolean |
| `check_date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/assets/000000000000000ea4f90001/webdata-history/00000000000000000000000ebd470001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "result": {
    "html": {
      "meta": {
        "name": null,
        "language": null,
        "language_alternatives": [],
        "keywords": [],
        "noindex_status": false,
        "encoding": null,
        "canonical_url": null,
        "title": "Acme",
        "json_ld": [],
        "og": []
      },
      "internal_links_fqdns": [],
      "external_links_fqdns": [],
      "external_links_domains": [],
      "external_links": [],
      "script_links": [],
      "iframe_links": [],
      "trackers": [],
      "emails": [],
      "emails_internal": [],
      "favicon_links": [],
      "inspect_disabled": false,
      "source_code": "Text content.",
      "source_code_hash": "6c8900abcdef01234567896c8900abcdef01234567896c8900abcdef01234567",
      "content": "Text content.",
      "content_keywords": [
        "acme",
        "acme-2"
      ],
      "content_hash": "08f200abcdef012345678908f200abcdef012345678908f200abcdef01234567"
    },
    "http": {
      "redirection_history": [
        {
          "url": "http://www.acme.example/",
          "status_code": 400
        }
      ],
      "cookies": [],
      "headers": [
        {
          "name": "connection",
          "value": "close"
        },
        {
          "name": "content-length",
          "value": "1024"
        }
      ]
    },
    "url": "http://www.acme.example/",
    "favicon": [],
    "robots_txt": null,
    "version": 1,
    "check_date": "2025-07-31T08:00:00.000Z",
    "connection_status": "success",
    "technology": {
      "stacks": [
        {
          "slug": "acme-news",
          "name": "Nginx",
          "confidence": 100,
          "icon": "acme.svg",
          "website": "http://www.fernhill.example/",
          "cpe": "cpe:2.3:a:acme:acme-portal:1.0:*:*:*:*:*:*:*",
          "version": "",
          "categories": [
            "Web servers"
          ],
          "description": "A technology detected on the asset's website.",
          "alternative_cpe_names": [],
          "clean_version": null
        }
      ]
    },
    "screenshot": "https://platform-storage.example/screenshots/acme.png"
  },
  "status": true,
  "check_date": "2025-07-31T08:00:00Z"
}
```

### 404 · Not Found (nonexistent asset_id)

```bash
curl 'https://api.deepinfo.com/v1/easm/assets/ffffffffffffffffffffffff/webdata-history/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Asset does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
